%define name libgnomecups
%define version 0.2.2
%define release %mkrel 4

%define api_version 1.0
%define major 1
%define libname %mklibname gnomecups-%{api_version}_ %{major}
%define develname %mklibname gnomecups-%{api_version} -d

Summary: GNOME library for CUPS integration
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.2.2-4mdv fix printer detection and cups 1.2 support (SUSE)
Patch0: libgnomecups-0.2.2-cups12.patch
# (fc) 0.2.2-4mdv fix cups callback for authentication (SUSE)
Patch1: libgnomecups-0.2.2-callbackfix.patch
# (fc) 0.2.2-4mdv fix invalid mem access (SVN)
Patch2: libgnomecups-0.2.2-gfree.patch
# (fc) 0.2.2-4mdv add dbus support (Fedora)
Patch3: libgnomecups-0.2.2-dbus.patch
# (fc) 0.2.2-4mdv parse cups loptions (ubuntu)
Patch4: libgnomecups-0.2.2-parse-dot-cups-loptions.patch
# (fc) 0.2.2-4mdv fix remote printer detection (ubuntu)
Patch5: libgnomecups-0.2.2-fix-islocal.patch
# (fc) 0.2.2-4mdv don't warn on stderr for IPP_NOT_FOUND (ubuntu)
Patch6: libgnomecups-0.2.2-ignore-ipp-not-found.patch
# (fc) 0.2.2-4mdv allow to change some cups printer attributes (ubuntu)
Patch7: libgnomecups-0.2.2-replace-set-printer-attrs.patch
BuildRequires: cups-devel cups-common
BuildRequires: glib2-devel
BuildRequires: perl-XML-Parser
BuildRequires: dbus-glib-devel
BuildRequires: intltool
BuildRequires: gnome-common
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNOME library for CUPS integration

%package -n %{libname}
Summary: GNOME library for CUPS integration
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{libname}
GNOME library for CUPS integration

%package -n %{develname}
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes: %{mklibname gnomecups-%{api_version}_ 1 -d}

%description -n %{develname}
GNOME library for CUPS integration

%prep
%setup -q
%patch0 -p1 -b .cups12
%patch1 -p1 -b .callbackfix
%patch2 -p1 -b .gfree
%patch3 -p1 -b .dbus
%patch4 -p1 -b .parse-dot-cups-loptions
%patch5 -p1 -b .fix-is-local
%patch6 -p1 -b .ignore-ipp-not-found
%patch7 -p1 -b .replace-set-printer-attrs

#needed by patch3
autoreconf

%build

%configure2_5x --with-dbus=yes

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Wed Sep 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-4mdv2008.0
+ Revision: 84719
- Fix Buildrequires
-Patch0 (SUSE): fix printer detection and cups 1.2 support
-Patch1 (SUSE): fix cups callback for authentication
-Patch2 (SVN): fix invalid mem access
-Patch3 (Fedora): add dbus support
-Patch4 (Ubuntu): parse cups loptions
-Patch5 (Ubuntu): fix remote printer detection
-Patch6 (Ubuntu): don't warn on stderr for IPP_NOT_FOUND
-Patch7 (Ubuntu): allow to change some cups printer attributes (ubuntu)

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.2-3mdv2008.0
+ Revision: 54167
- rebuild for 2008
- new devel policy
- Import libgnomecups




* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-3mdv2007.0
- fix buildrequires

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-2mdk
- rebuild for openssl-0.9.8a

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-1mdk
- Release 0.2.2

* Tue Mar  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- drop merged patches
- New release 0.2.0

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.14-1mdk
- New release 0.1.14

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.13-2mdk 
- Patch0 (Fedora): asynchronous ppd fetching 
- Patch1 (Fedora): fix deadlock in mainloop

* Tue Oct  5 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.13-1mdk
- New release 0.1.13

* Tue Sep 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.12-1mdk
- New release 0.1.12

* Tue Aug 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.1.11-1mdk
- New release 0.1.11

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-1mdk
- Release 0.1.10 

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.9-2mdk
- fix buildrequires

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.9-1mdk
- Release 0.1.9 

* Tue Jun  8 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.8-1mdk
- New release 0.1.8

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.6-1mdk
- Release 0.1.6

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.5-1mdk
- First Mandrake package
